Bug 47822 - iostat -x broken for me with 2.4.4-ac9 kernel
iostat -x broken for me with 2.4.4-ac9 kernel
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: sysstat (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-07 18:41 EDT by Bill Crawford
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-07 18:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Crawford 2001-07-07 18:41:35 EDT
iostat with -x option isn't working for me.  I am using a 2.4.4-ac9 kernel
I built myself, so I don't know if there's some kernel patch missing that
you have in your kernel ...

Basically it's just printing the header line, but then no device stats,
with this option; whether or not I provide a device name:

[root@localhost kernel]# uname -a
Linux localhost.localdomain 2.4.4-ac9 #1 Wed May 16 21:39:29 BST 2001 i586
unknown
[root@localhost kernel]# iostat -x
Linux 2.4.4-ac9 (localhost.localdomain)         07/07/01

avg-cpu:  %user   %nice    %sys   %idle
           8.50    0.12    1.24   90.14
Device:  rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s avgrq-sz avgqu-sz  
await  svctm  %util

[root@localhost kernel]# iostat -x /dev/hda
Linux 2.4.4-ac9 (localhost.localdomain)         07/07/01

avg-cpu:  %user   %nice    %sys   %idle
           8.50    0.12    1.24   90.14
Device:  rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s avgrq-sz avgqu-sz  
await  svctm  %util

[root@localhost kernel]# iostat -x /dev/hda1
Linux 2.4.4-ac9 (localhost.localdomain)         07/07/01

avg-cpu:  %user   %nice    %sys   %idle
           8.50    0.12    1.24   90.14
Device:  rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s avgrq-sz avgqu-sz  
await  svctm  %util

[root@localhost kernel]# iostat -x hda1
Linux 2.4.4-ac9 (localhost.localdomain)         07/07/01

avg-cpu:  %user   %nice    %sys   %idle
           8.50    0.12    1.24   90.14
Device:  rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s avgrq-sz avgqu-sz  
await  svctm  %util
Comment 1 Preston Brown 2001-08-13 15:53:43 EDT
only works with Red Hat kernels.

Note You need to log in before you can comment on or make changes to this bug.